Name:           unboundid-ldapsdk
Version:        2.3.8
Release:        4%{?dist}
Summary:        UnboundID LDAP SDK for Java

License:        GPLv2 or LGPLv2+
URL:            https://www.ldap.com/unboundid-ldap-sdk-for-java
Source0:        %{name}-%{version}.tar.xz
# Above tarball have been created by:
# svn export http://svn.code.sf.net/p/ldap-sdk/code/tags/2.3.8 unboundid-ldapsdk-2.3.8
# rm -fr unboundid-ldapsdk-2.3.8/ext
# tar cJf unboundid-ldapsdk-2.3.8.tar.xz unboundid-ldapsdk-2.3.8
BuildArch:      noarch
BuildRequires:  ant
%if %{?fedora} >= 21
BuildRequires:  javapackages-local
%else
BuildRequires:  maven-local
%endif

Patch1:         unboundid-ldapsdk-2.3.8-javadoc.patch

%description
The UnboundID LDAP SDK for Java is a fast, powerful, user-friendly, and
completely free Java library for communicating with LDAP directory servers and
performing related tasks like reading and writing LDIF, encoding and
decoding data using base64 and ASN.1 BER, and performing secure communication.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q
%patch1 -p1

sed -i 's|source="1.5" target="1.5"|source="1.6" target="1.6"|' build-se.xml
sed -i 's|source="1.5"|source="1.6"|' build-se.xml
sed -i 's|target="1.5"|target="1.6"|' build-se.xml

%build
# checkstyle configuration files were in the ext directory
# code doesn't pass checkstyle 5.6 disabling the check until upstream
# fixes it
ant -Dcheckstyle.enabled=false -f build-se.xml package

%install
%jar -xf build/package/unboundid-ldapsdk-*-maven.jar
rm -fr META-INF
mkdir javadoc
cd javadoc
%jar -xf ../unboundid-ldapsdk-*-javadoc.jar
rm -fr META-INF
cd ..

%mvn_artifact %{name}-%{version}.pom %{name}-%{version}.jar
%mvn_file com.unboundid:%{name} %{name}
%mvn_install -J javadoc

%files -f .mfiles
%license dist-root-se/LICENSE.txt
%license dist-root-se/LICENSE-LGPLv2.1.txt
%license dist-root-se/LICENSE-UnboundID-LDAPSDK.txt
%license dist-root-se/LICENSE-GPLv2.txt
%doc dist-root-se/README.txt

%files javadoc -f .mfiles-javadoc
%license dist-root-se/LICENSE.txt
%license dist-root-se/LICENSE-LGPLv2.1.txt
%license dist-root-se/LICENSE-UnboundID-LDAPSDK.txt
%license dist-root-se/LICENSE-GPLv2.txt

%changelog
* Wed Apr 22 2015 Sandro Bonazzola <sbonazzo@redhat.com> - 2.3.8-4
- Fixed license as per Fedora Legal review

* Mon Apr 20 2015 Sandro Bonazzola <sbonazzo@redhat.com> - 2.3.8-3
- added unboundid-ldapsdk-2.3.8-javadoc patch from Gil Cattaneo <puntogil@libero.it>
  fixing javadoc errors

* Tue Apr 14 2015 Gil Cattaneo <puntogil@libero.it> - 2.3.8-2
- removed ant and checkstyle from tarball
- use xz for compression
- move to javac source/target 1.6
- use jdk tools instead of zip jdk
- use {javapackages,maven}-local for installing artifacts

* Mon Apr 13 2015 Sandro Bonazzola <sbonazzo@redhat.com> - 2.3.8-1
- Initial packaging

